Metafunction
IsSequence
Determines whether a container stores its elements in sequential order.
IsSequence<T>::VALUE
Include Headers
seqan/sequence.h
Parameters

T | Type that is tested for being a sequence. Types: char array, Gaps, ModifiedString, Segment, std::basic_string, std::vector, String, thrust::device_vector

Remarks
For example String and Segment return true.
Return Values

VALUE | true if T is a sequence, false otherwise.

Member of
String, std::basic_string, char array, thrust::device_vector, Gaps, std::vector, Segment
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59